# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           freenginx-mod-upload-progress
Version:        0.9.4
Release:        3%{?dist}
Summary:        freenginx upload progress module
License:        BSD-2-Clause
URL:            https://github.com/masterzen/nginx-upload-progress-module
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/masterzen/nginx-upload-progress-module/archive/refs/tags/v%{version}.tar.gz#/nginx-upload-progress-module-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  freenginx-mod-devel

%description
Nginx module implementing an upload progress system, 
that monitors RFC1867 POST uploads as they are transmitted to upstream servers.

It works by tracking the uploads proxied by Nginx to upstream servers without 
analysing the uploaded content and offers a web API to report upload progress in Javscript, Json or any
other format (through the help of templates).

It works because Nginx acts as an accelerator of an upstream server, storing uploaded POST content
on disk, before transmitting it to the upstream server. Each individual POST upload request
should contain a progress unique identifier.

%prep
%autosetup -n nginx-upload-progress-module-%{version}


%build
%freenginx_modconfigure
%freenginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_uploadprogress_module.so %{buildroot}%{freenginx_moddir}
popd

install -dm 0755 %{buildroot}%{freenginx_modconfdir}
echo 'load_module "%{freenginx_moddir}/ngx_http_uploadprogress_module.so";' \
    > %{buildroot}%{freenginx_modconfdir}/mod-upload-progress.conf


%files
%license LICENSE
%doc CHANGES README
%{freenginx_moddir}/ngx_http_uploadprogress_module.so
%{freenginx_modconfdir}/mod-upload-progress.conf

%changelog
* Thu Apr 24 2025 Teddysun <i@teddysun.com> - 0.9.4-3
- Rebuild for freenginx 1.28.0

* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.9.4-2
- Rebuild for freenginx 1.27.6

* Mon Apr 07 2025 Teddysun <i@teddysun.com> - 0.9.4-1
- Initial packaging version 0.9.4 for freenginx 1.27.4
